Bug 134277 - FILEOPEN DOCX Image in table rendered on wrong page
Summary: FILEOPEN DOCX Image in table rendered on wrong page
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: implementationError
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2020-06-24 06:25 UTC by NISZ LibreOffice Team
Modified: 2020-07-12 06:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem in Writer (98.02 KB, image/png)
2020-06-24 06:25 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-24 06:25:46 UTC
Created attachment 162361 [details]
Screenshot of the problem in Writer

This is a follow-up to bug #119038.
Since that bug was fixed most of the images appear in the tables, except those that fall on the page break


Steps to reproduce:
    1. Open attachment #143889 [details]
    2. Scroll to the bottom of the first page

Actual results:
The table breaks between pages, but the images fall out of the second row to the bottom of the first page.

Expected results:
Images in the second row appear on the second page.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 642fc41cd7d080384658e10b30bb9d3b38a2cbd9
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 BogdanB 2020-06-24 17:13:20 UTC
Confirm it with
Version: 7.1.0.0.alpha0+
Build ID: e69f547bce7de376a0af464c5f7af5e7d2c8784a
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-06-23_15:52:52
Calc: threaded
Comment 2 BogdanB 2020-06-24 17:13:59 UTC
Also in
Version: 7.0.0.0.beta2+
Build ID: 77e4943cc6cf206a45901e5c87fabf0f783c8262
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-7-0, Time: 2020-06-24_02:22:53
Calc: threaded
Comment 3 Commit Notification 2020-06-30 20:54:13 UTC
Bakos Attila committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/117011cf10032e6ca93a8d502f794deb16c13a8f

tdf#134277 sw table: fix lagging shape at page break

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-07-02 19:35:48 UTC
Bakos Attila committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7842038e2ddbc9c1596fb732f5fb555b1c2ffdf0

tdf#134277 sw table: fix lagging shape at page break

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 raal 2020-07-12 06:03:36 UTC
verified Version: 7.1.0.0.alpha0+
Build ID: 0695b5f5b328a1bc9cfdc8ba020dbdd674185e04
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded